package com.jjt.inventory.service;

import com.jjt.inventory.domain.TwinCalcDayPt;

import java.time.LocalDate;
import java.util.List;

/**
 * 盘头库日统计数据Service接口
 *
 * @author wukai
 * @date 2025-06-13
 */
public interface ITwinCalcDayPtService {
    /**
     * 查询盘头库日统计数据
     *
     * @param id 盘头库日统计数据主键
     * @return 盘头库日统计数据
     */
    public TwinCalcDayPt selectTwinCalcDayPtById(Long id);

    /**
     * 查询盘头库日统计数据列表
     *
     * @param twinCalcDayPt 盘头库日统计数据
     * @return 盘头库日统计数据集合
     */
    public List<TwinCalcDayPt> selectTwinCalcDayPtList(TwinCalcDayPt twinCalcDayPt);

    /**
     * 新增盘头库日统计数据
     *
     * @param twinCalcDayPt 盘头库日统计数据
     * @return 结果
     */
    public int insertTwinCalcDayPt(TwinCalcDayPt twinCalcDayPt);

    /**
     * 修改盘头库日统计数据
     *
     * @param twinCalcDayPt 盘头库日统计数据
     * @return 结果
     */
    public int updateTwinCalcDayPt(TwinCalcDayPt twinCalcDayPt);

    /**
     * 批量删除盘头库日统计数据
     *
     * @param ids 需要删除的盘头库日统计数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcDayPtByIds(Long[] ids);

    /**
     * 删除盘头库日统计数据信息
     *
     * @param id 盘头库日统计数据主键
     * @return 结果
     */
    public int deleteTwinCalcDayPtById(Long id);

    /**
     * 删除白坯库日统计数据信息
     *
     * @param date 白坯库日统计数据主键
     */
    void delete4date(String date);

    /**
     * 获取指定日期之后的盘头库日统计数据
     *
     * @param toLocalDate 白坯库日统计数据主键
     * @return 盘头库日统计数据集合
     */
    List<TwinCalcDayPt> selectStartDate(LocalDate toLocalDate);
}
